import { ComponentFixture, TestBed } from '@angular/core/testing';
import { provideAnimations } from '@angular/platform-browser/animations';
import { provideNativeDateAdapter } from '@angular/material/core';
import { provideHttpClient } from '@angular/common/http';
import { provideHttpClientTesting } from '@angular/common/http/testing';

import { HerowarsComponent } from './herowars.component';

describe('HerowarsComponent', () => {
    let component: HerowarsComponent;
    let fixture: ComponentFixture<HerowarsComponent>;

    beforeEach(async () => {
        await TestBed.configureTestingModule({
            imports: [HerowarsComponent],
            providers: [
                provideAnimations(),
                provideNativeDateAdapter(),
                provideHttpClient(),
                provideHttpClientTesting(),
            ],
        }).compileComponents();

        fixture = TestBed.createComponent(HerowarsComponent);
        component = fixture.componentInstance;
        fixture.detectChanges();
    });

    it('should create', () => {
        expect(component).toBeTruthy();
    });
});
